events_SEIR {SimInf} | R Documentation

## Example data to initialize events for the ‘SEIR’ model

### Description

Example data to initialize scheduled events for a population of 1600 nodes and demonstrate the `SEIR` model.

### Usage

    events_SEIR()

### Details

Example data to initialize scheduled events (see `SimInf_events`) for a population of 1600 nodes and demonstrate the `SEIR` model. The dataset contains 466692 events for 1600 nodes distributed over 4 * 365 days. The events are divided into three types: ‘Exit’ events remove individuals from the population (n = 182535), ‘Enter’ events add individuals to the population (n = 182685), and ‘External transfer’ events move individuals between nodes in the population (n = 101472). The vignette contains a detailed description of how scheduled events operate on a model.

### Value

A `data.frame`

### Examples

    ## Create an 'SEIR' model with 1600 nodes and initialize
    ## it to run over 4*365 days. Add one infected individual
    ## to the first node.
    u0 <- u0_SEIR()
    u0$I[1] <- 1
    tspan <- seq(from = 1, to = 4*365, by = 1)
    model <- SEIR(u0      = u0,
                  tspan   = tspan,
                  events  = events_SEIR(),
                  beta    = 0.16,
                  epsilon = 0.25,
                  gamma   = 0.01)

    ## Display the number of individuals affected by each event type
    ## per day.
    plot(events(model))

    ## Run the model to generate a single stochastic trajectory.
    result <- run(model, threads = 1)
    plot(result)

    ## Summarize the trajectory. The summary includes the number of
    ## events by event type.
    summary(result)

[Package SimInf version 6.3.0 Index]